Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Persistence\Legacy\User\Gateway\DoctrineDatabase Class Reference

User gateway implementation using the Doctrine database. More...

Inheritance diagram for eZ\Publish\Core\Persistence\Legacy\User\Gateway\DoctrineDatabase:

## Public Member Functions
| __construct (DatabaseHandler $handler)
| Construct from database handler. More...
| createUser (User $user)
| Create user. More...
| deleteUser ($userId)
| Delete user with the given ID. More...
| load ($userId)
| Loads user with user ID. More...
| loadByLogin ($login)
| Loads user with user login. More...
| loadByEmail ($email)
| Loads user with user email. More...
| loadUserByToken ($hash)
| Loads a user with user hash key. More...
| updateUser (User $user)
| Update the user information specified by the user struct. More...
| updateUserToken (UserTokenUpdateStruct $userTokenUpdateStruct)
| Update or insert the user token information specified by the user token struct. More...
| expireUserToken ($hash)
| Expires user token with user hash. More...
| assignRole ($contentId, $roleId, array $limitation)
| Assigns role to user with given limitation. More...
| removeRole ($contentId, $roleId)
| Remove role from user or user group. More...
| removeRoleAssignmentById ($roleAssignmentId)
| Remove role from user or user group, by assignment ID. More...

## Protected Attributes
| $handler

## Detailed Description

User gateway implementation using the Doctrine database.

Definition at line 17 of file Persistence/Legacy/User/Gateway/DoctrineDatabase.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Persistence\Legacy\User\Gateway\DoctrineDatabase::__construct | ( | DatabaseHandler | $handler | ) |

Construct from database handler.

Parameters

  \eZ\Publish\Core\Persistence\Database\DatabaseHandler | $handler |

Definition at line 31 of file Persistence/Legacy/User/Gateway/DoctrineDatabase.php.

References eZ\Publish\Core\Persistence\Legacy\User\Gateway\DoctrineDatabase\$handler.

## Member Function Documentation

## ◆ assignRole()

eZ\Publish\Core\Persistence\Legacy\User\Gateway\DoctrineDatabase::assignRole | ( |  | $contentId,
|  |  | $roleId,
|  | array | $limitation
| ) |  |

Assigns role to user with given limitation.

Parameters

  mixed | $contentId |
  mixed | $roleId |
  array | $limitation |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\User\Gateway.

Definition at line 426 of file Persistence/Legacy/User/Gateway/DoctrineDatabase.php.

## ◆ createUser()

eZ\Publish\Core\Persistence\Legacy\User\Gateway\DoctrineDatabase::createUser | ( | User | $user | ) |

Create user.

Parameters

  user | $user |

Returns
  mixed

Reimplemented from eZ\Publish\Core\Persistence\Legacy\User\Gateway.

Definition at line 43 of file Persistence/Legacy/User/Gateway/DoctrineDatabase.php.

## ◆ deleteUser()

eZ\Publish\Core\Persistence\Legacy\User\Gateway\DoctrineDatabase::deleteUser | ( |  | $userId | ) |

Delete user with the given ID.

Parameters

  mixed | $userId |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\User\Gateway.

Definition at line 90 of file Persistence/Legacy/User/Gateway/DoctrineDatabase.php.

## ◆ expireUserToken()

eZ\Publish\Core\Persistence\Legacy\User\Gateway\DoctrineDatabase::expireUserToken | ( |  | $hash | ) |

Expires user token with user hash.

Parameters

  string | $hash |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\User\Gateway.

Definition at line 402 of file Persistence/Legacy/User/Gateway/DoctrineDatabase.php.

## ◆ load()

eZ\Publish\Core\Persistence\Legacy\User\Gateway\DoctrineDatabase::load | ( |  | $userId | ) |

Loads user with user ID.

Parameters

  mixed | $userId |

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\User\Gateway.

Definition at line 122 of file Persistence/Legacy/User/Gateway/DoctrineDatabase.php.

## ◆ loadByEmail()

eZ\Publish\Core\Persistence\Legacy\User\Gateway\DoctrineDatabase::loadByEmail | ( |  | $email | ) |

Loads user with user email.

Parameters

  string | $email |

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\User\Gateway.

Definition at line 203 of file Persistence/Legacy/User/Gateway/DoctrineDatabase.php.

## ◆ loadByLogin()

eZ\Publish\Core\Persistence\Legacy\User\Gateway\DoctrineDatabase::loadByLogin | ( |  | $login | ) |

Loads user with user login.

Parameters

  string | $login |

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\User\Gateway.

Definition at line 162 of file Persistence/Legacy/User/Gateway/DoctrineDatabase.php.

## ◆ loadUserByToken()

eZ\Publish\Core\Persistence\Legacy\User\Gateway\DoctrineDatabase::loadUserByToken | ( |  | $hash | ) |

Loads a user with user hash key.

Parameters

  string | $hash |

Returns
  array

Reimplemented from eZ\Publish\Core\Persistence\Legacy\User\Gateway.

Definition at line 243 of file Persistence/Legacy/User/Gateway/DoctrineDatabase.php.

## ◆ removeRole()

eZ\Publish\Core\Persistence\Legacy\User\Gateway\DoctrineDatabase::removeRole | ( |  | $contentId,
|  |  | $roleId
| ) |  |

Remove role from user or user group.

Parameters

  mixed | $contentId |
  mixed | $roleId |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\User\Gateway.

Definition at line 457 of file Persistence/Legacy/User/Gateway/DoctrineDatabase.php.

## ◆ removeRoleAssignmentById()

eZ\Publish\Core\Persistence\Legacy\User\Gateway\DoctrineDatabase::removeRoleAssignmentById | ( |  | $roleAssignmentId | ) |

Remove role from user or user group, by assignment ID.

Parameters

  mixed | $roleAssignmentId |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\User\Gateway.

Definition at line 482 of file Persistence/Legacy/User/Gateway/DoctrineDatabase.php.

## ◆ updateUser()

eZ\Publish\Core\Persistence\Legacy\User\Gateway\DoctrineDatabase::updateUser | ( | User | $user | ) |

Update the user information specified by the user struct.

Parameters

  User | $user |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\User\Gateway.

Definition at line 293 of file Persistence/Legacy/User/Gateway/DoctrineDatabase.php.

## ◆ updateUserToken()

eZ\Publish\Core\Persistence\Legacy\User\Gateway\DoctrineDatabase::updateUserToken | ( | UserTokenUpdateStruct | $userTokenUpdateStruct | ) |

Update or insert the user token information specified by the user token struct.

Parameters

  \eZ\Publish\SPI\Persistence\User\UserTokenUpdateStruct | $userTokenUpdateStruct |

Reimplemented from eZ\Publish\Core\Persistence\Legacy\User\Gateway.

Definition at line 344 of file Persistence/Legacy/User/Gateway/DoctrineDatabase.php.

## Member Data Documentation

## ◆ $handler

eZ\Publish\Core\Persistence\Legacy\User\Gateway\DoctrineDatabase::$handler
| protected

Definition at line 24 of file Persistence/Legacy/User/Gateway/DoctrineDatabase.php.

Referenced by eZ\Publish\Core\Persistence\Legacy\User\Gateway\DoctrineDatabase\__construct().

The documentation for this class was generated from the following file:

- Persistence/Legacy/User/Gateway/DoctrineDatabase.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.